stages:
  - build

build_og-deployer:
  stage: build
  script:
    - |
      # Log in to the GitLab Container Registry once
      podman login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY" || exit 1

      # Find all Dockerfiles in the /app/deployer directory
      for dockerfile in $(find app/deployer -name "Dockerfile.*"); do
        # Extract the image name from the Dockerfile name
        image_name=$(basename "$dockerfile" | cut -d. -f2-)

        # Build the Docker image
        echo "Building image: $image_name"
        podman build -t "$CI_REGISTRY_IMAGE/$image_name:$CI_COMMIT_SHORT_SHA" -f "$dockerfile" . || exit 1

        # Push the Docker image
        echo "Pushing image: $image_name"
        podman push "$CI_REGISTRY_IMAGE/$image_name:$CI_COMMIT_SHORT_SHA" || exit 1
      done
  artifacts:
    paths:
      - build.log
    expire_in: 1 week
